# Uses of Class
org.apache.lucene.store.Lock

Packages that use Lock
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.store
Binary i/o API, used for all index data.

- ## Uses of Lock in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return Lock
  Modifier and Type
  Method
  Description
  `final Lock`
  CompoundDirectory.`obtainLock(String name)`

- ## Uses of Lock in org.apache.lucene.index

  Constructors in org.apache.lucene.index with parameters of type Lock
  Modifier
  Constructor
  Description
  ``
  `CheckIndex(Directory dir, Lock writeLock)`
  Expert: create a directory with the specified lock.

- ## Uses of Lock in org.apache.lucene.store

  Methods in org.apache.lucene.store that return Lock
  Modifier and Type
  Method
  Description
  `protected abstract Lock`
  FSLockFactory.`obtainFSLock(FSDirectory dir, String lockName)`
  Implement this method to obtain a lock for a FSDirectory instance.
  `protected Lock`
  NativeFSLockFactory.`obtainFSLock(FSDirectory dir, String lockName)`
  `protected Lock`
  SimpleFSLockFactory.`obtainFSLock(FSDirectory dir, String lockName)`
  `final Lock`
  BaseDirectory.`obtainLock(String name)`
  `abstract Lock`
  Directory.`obtainLock(String name)`
  Acquires and returns a `Lock` for a file with the given name.
  `Lock`
  FileSwitchDirectory.`obtainLock(String name)`
  `Lock`
  FilterDirectory.`obtainLock(String name)`
  `final Lock`
  FSLockFactory.`obtainLock(Directory dir, String lockName)`
  `abstract Lock`
  LockFactory.`obtainLock(Directory dir, String lockName)`
  Return a new obtained Lock instance identified by lockName.
  `Lock`
  NoLockFactory.`obtainLock(Directory dir, String lockName)`
  `Lock`
  SingleInstanceLockFactory.`obtainLock(Directory dir, String lockName)`
  `Lock`
  SleepingLockWrapper.`obtainLock(String lockName)`
  `Lock`
  VerifyingLockFactory.`obtainLock(Directory dir, String lockName)`
  Constructors in org.apache.lucene.store with parameters of type Lock
  Modifier
  Constructor
  Description
  ``
  `LockValidatingDirectoryWrapper(Directory in, Lock writeLock)`